Categories:
  - Development
License: MIT
WebSite: https://nix-on-droid.unboiled.info
SourceCode: https://github.com/t184256/nix-on-droid
IssueTracker: https://github.com/t184256/nix-on-droid/issues

Name: Nix-on-Droid
AutoName: Nix
Description: |-
    Nix-on-Droid brings Nix package manager of NixOS fame
    to your mobile device.
    If you're not after its advanced features,
    you might still be interested in tapping into nixpkgs,
    a vast collection of precompiled software.

    At first start the app will download Nix repackaged for Android,
    leaving you with a barebones system afterwards.
    If you are an experienced Nix user, you know what to do next.
    If you are in doubt, follow the on-screen instructions,
    to install more of the familiar Linux software
    and declaratively manage your environment.

    NOTE: this software is alpha-quality.
    Users that value
    stability and Android integration over
    features and package selection
    might better be served with Termux as of now.

    Nix-on-Droid uses a fork of Termux application as a terminal emulator.

RepoType: git
Repo: https://github.com/t184256/nix-on-droid-app

Builds:
  - versionName: 0.66_v0.2.2_nix
    versionCode: 66022
    commit: v0.66_v0.2.2_nix
    subdir: app
    gradle:
      - yes

  - versionName: 0.66_v0.2.4_nix
    versionCode: 66024
    commit: v0.66_v0.2.4_nix
    subdir: app
    gradle:
      - yes

  - versionName: 0.66_v0.2.5_nix
    versionCode: 66025
    commit: v0.66_v0.2.5_nix
    subdir: app
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
UpdateCheckName: com.termux
CurrentVersion: 0.66_v0.2.5_nix
CurrentVersionCode: 66025
